E-MailRelay

Classes | Namespaces
glinebuffer.h File Reference
`#include "gdef.h"`
`#include "gexception.h"`
`#include "glinestore.h"`
`#include "gcall.h"`
`#include <string>`

Go to the source code of this file.

## Classes
class | GNet::LineBuffer
| A class that does line buffering, supporting auto-detection of line endings and fixed-size block extraction. More...
class | GNet::LineBufferIterator
| Syntactic sugar for calling GNet::LineBuffer iteration methods. More...
class | GNet::LineBufferConfig
| A configuration structure for GNet::LineBuffer. More...
class | GNet::LineBufferState
| Provides information abount the state of a line buffer. More...

## Namespaces
namespace | GNet
| Network classes.